/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: RequestScopedBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.el.managedbean.common;

import java.io.Serializable;

public class RequestScopedBean implements Serializable {
    private String stringProperty;
    
    {
    	this.setStringProperty("default");
    }
    
    public RequestScopedBean() {
        
        System.out.println("RequestScopedBean created.");

    }

    // -------------------------------------------------------------- Properties

    public String getStringProperty() {

        return stringProperty;

    } // END getStringProperty

    public void setStringProperty(String s) {

        this.stringProperty = s;

    } // END setStringProperty

}
